package info.bukova.isspst.ui.reqsubjects;

import info.bukova.isspst.data.MUnitEmb;
import info.bukova.isspst.data.Material;
import info.bukova.isspst.services.munits.MUnitService;
import info.bukova.isspst.ui.FormViewModel;

import java.util.List;

import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.select.annotation.WireVariable;

public class MaterialForm extends FormViewModel<Material> {
	
	@WireVariable
	private MUnitService munitService;
	private List<MUnitEmb> munits;
	
	@Init(superclass = true)
	public void init()
	{
		this.munits = munitService.getEmbAll();
	}

	public List<MUnitEmb> getMunits() {
		return munits;
	}

}
